CritterType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.CritterType interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping
Interface CritterType

All Known Implementing Classes:
  AvailabilityCritterType, BaseCritterType, CompatGroupTypeCritterType, DescendantProtoCritterType, GroupMembershipCritterType, MixedGroupTypeCritterType, NonSystemCritterType, OwnedCritterType, ProtoCritterType, ProtoNameCritterType, ResourceNameCritterType, ResourceTypeCritterType

    public interface CritterType

Method Summary
`Critter` | `compose(CritterDump dump)` Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.
`void` | `decompose(Critter critter, CritterDump dump)` Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.
`java.lang.String` | `getDescription()` Returns a localized description 'Matches resource names against a regular expression' 'Matches resources modified before or after a date'
`java.lang.String` | `getName()` Returns a localized name of this critter 'Resource Name' 'Modified Time'
`java.util.List` | `getPropDescriptions()` Returns a list of `CritterPropDescription`s, describing the order and constitution of the props "What arguments do I need to configure this critter?"
`boolean` | `isSystem()` Return true if the Critter is an internal one and used by the system.
`boolean` | `isUserVisible()` returns true if this critter should be visible to the UI for user-defined `org.hyperic.hq.groupingCritterList`s.
`Critter` | `newInstance(java.util.Map critterProps)` Create a new instance of this critter type.

Method Detail

### getPropDescriptions

    java.util.List getPropDescriptions()

  Returns a list of `CritterPropDescription`s, describing the order and constitution of the props "What arguments do I need to configure this critter?"

### getName

    java.lang.String getName()

  Returns a localized name of this critter 'Resource Name' 'Modified Time'

### getDescription

    java.lang.String getDescription()

  Returns a localized description 'Matches resource names against a regular expression' 'Matches resources modified before or after a date'

### newInstance

    Critter newInstance(java.util.Map critterProps)
                        throws GroupException

  Create a new instance of this critter type. The passed props must match what the type is asking for (via getPropDescriptions())

  Parameters:
    `critterProps` - a map of prop IDs onto the actual props. The keys must match ids of props as returned by CritterProp.getId()
  Throws:
    `GroupException`

### compose

    Critter compose(CritterDump dump)
                    throws GroupException

  Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.

  Parameters:
    `dump` - The `CritterDump` containing the critter properties used to populate the new Critter instance.
  Throws:
    `GroupException`

### decompose

    void decompose(Critter critter,
                   CritterDump dump)
                   throws GroupException

  Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.

  Parameters:
    `dump` - The `Critter` instance from which the critter properties will be read to populate the CritterDump.
    `dump` - The `CritterDump` whose properties will be populated based on the Critter instance.
  Throws:
    `GroupException`

### isSystem

    boolean isSystem()

  Return true if the Critter is an internal one and used by the system. Critters with this set should not be persisted. In addition, system-based criteria MUST be matched when processing the results. i.e. a CriterList may specify that 'any' may match, but if it contains a system critter, it MUST match. Essentially this will SQL "and" this CritterType in the CritterList to the other members no matter the value of CritterList.isAny(). Example uses: - Critters that specify a match for compatable groups - Critters that filter out system-related resources (virtual servers)

### isUserVisible

    boolean isUserVisible()

  returns true if this critter should be visible to the UI for user-defined `org.hyperic.hq.groupingCritterList`s.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.